/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.domain.config;

import com.crunii.micro.common.log.BusiLogComHttp;
import com.crunii.micro.platform.log.BusiLogHandler;
import com.crunii.micro.platform.log.OperLogHandler;
import com.crunii.micro.platform.log.SqlLogHandler;
import com.crunii.micro.platform.log.impl.*;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author 田平 create 2019年12月31日下午1:25:51
 */
@Configuration
public class MicroLogConfiguration {

	@Bean
	public BusiLogComHttp regBusiLogComponentHttpService() {
		return new BusiLogComHttpImpl();
	}

	@Bean
	public SqlLogHandler regSqlLogHandler() {
		return new SqlLogHandlerImpl();
	}

	@Bean
	public SqlLogFastQueueHandler regSqlLogFastQueueHandler() {
		return new SqlLogFastQueueHandler();
	}

	@Bean
	public OperLogHandler regOperLogHandler() {
		return new OperLogHandlerImpl();
	}

	@Bean
	public OperLogFastQueueHandler regOperLogFastQueueHandler() {
		return new OperLogFastQueueHandler();
	}

	@Bean
	public BusiLogHandler regBusiLogHandler() {
		return new BusiLogHandlerImpl();
	}

	@Bean
	public BusiLogFastQueueHandler regBusiLogFastQueueHandler() {
		return new BusiLogFastQueueHandler();
	}

}
